MPD: Data Fields

MPD 0.20.15

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - d -

- daemon : options
- data() : AllocatedPath , BasicStringBuffer< T, CAPACITY > , CircularBuffer< T > , ConstBuffer< T > , ConstBuffer< void > , ForeignFifoBuffer< T >
- Data() : IcyMetaDataParser
- data : MusicChunk , Page , Path , StaticFifoBuffer< T, size > , UriSuffixBuffer , WritableBuffer< T > , WritableBuffer< void >
- Database() : Database
- DatabaseDetachSong : DetachedSong
- DatabaseEditor() : DatabaseEditor
- DatabaseError() : DatabaseError
- DatabaseSelection() : DatabaseSelection
- db : UpdateQueueItem
- dc : DecoderBridge
- decoder_tag : DecoderBridge
- DecoderBridge() : DecoderBridge
- DecoderBuffer() : DecoderBuffer
- DecoderControl() : DecoderControl
- DecoderReader() : DecoderReader
- Decrement() : RefCount
- DEFAULT_INTERVAL : StateFile
- DEFAULT_LIMIT : ReplayGainConfig
- DeferClose() : NfsFileReader
- DeferredCall() : DeferredCall
- DeferredMonitor() : DeferredMonitor
- delay : AudioOutputPlugin
- Delay() : AudioOutputWrapper< T > , HttpdOutput
- Delete() : Directory , PidFile
- DeleteDirectory() : DatabaseEditor
- DeleteId() : Partition , playlist
- DeleteInternal() : playlist
- DeleteNameIn() : DatabaseEditor
- DeleteOrder() : playlist
- DeletePosition() : Partition , playlist , Queue
- DeleteRange() : Partition , playlist
- DeleteSong() : DatabaseEditor
- Delta : PeriodClock
- deprecated : ConfigTemplate
- Destroy() : SLES::Object
- Destruct() : Manual< T >
- DetachedSong() : DetachedSong
- device : Directory , StorageFileInfo
- deviceType : UPnPDevice
- Directory() : Directory
- directory : Directory::LookupResult , LightSong
- DirectoryReader() : DirectoryReader
- disable : AudioOutputPlugin
- Disable() : AudioOutputWrapper< T >
- DisableAsync() : AudioOutput
- Discard() : HugeAllocation
- discard : UpdateQueueItem
- Dispatch() : SocketMonitor
- DispatchSockets() : MultiSocketMonitor
- display_name : NeighborInfo
- Dither24To16() : PcmDither
- Dither32To16() : PcmDither
- DitherShift() : PcmDither
- DivideString() : DivideString
- Domain() : Domain
- Donate() : AllocatedString< T >
- Done() : CurlRequest
- DoResume() : AsyncInputStream
- DoSeek() : AsyncInputStream
- drain : AudioOutputPlugin
- Drain() : AudioOutputWrapper< T > , MultipleOutputs
- dst_format : NeonFloatTo16
- DstTraits : FloatToIntegerSampleConvert< F, Traits > , IntegerToFloatSampleConvert< F, Traits > , LeftShiftSampleConvert< SF, DF, ST, DT > , NeonFloatTo16 , RightShiftSampleConvert< SF, DF, ST, DT >
- Duplicate() : AllocatedString< T > , FileDescriptor
- duration : CrossFadeSettings
- Duration : PeriodClock
- duration : Tag , TagHandler
- DV : FloatToIntegerSampleConvert< F, Traits > , IntegerToFloatSampleConvert< F, Traits > , LeftShiftSampleConvert< SF, DF, ST, DT > , NeonFloatTo16 , RightShiftSampleConvert< SF, DF, ST, DT >
- DynamicFifoBuffer() : DynamicFifoBuffer< T >